#include <ChronoSync/socket.hpp>
#include <ndn-cxx/face.hpp>
#include <memory>

class Example
{
public:

  Example(std::shared_ptr<ndn::Face>& face)
    : m_face(face)
    , m_socket(new chronosync::Socket(ndn::Name("/test"),
                                      ndn::Name("/user"),
                                      *m_face,
                                      bind(&Example::processSyncUpdate, this, _1))) {}

  virtual
  ~Example() {}

  void
  processSyncUpdate(const std::vector<chronosync::MissingDataInfo>& updates)
  {}

  std::shared_ptr<ndn::Face> m_face;
  std::shared_ptr<chronosync::Socket> m_socket;
};

int
main(int argc, char** argv)
{
  std::shared_ptr<ndn::Face> face(new ndn::Face());
  std::shared_ptr<Example> test(new Example(face));

  return 0;
}
